TokyoTyrantQuery::addCond
TokyoTyrantQuery::count
TokyoTyrantQuery
PHP Manual

# TokyoTyrantQuery::__construct

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrantQuery::__construct — Construct a new query

### Description

public TokyoTyrantQuery::__construct ( TokyoTyrantTable `$table` )

Construct a new query object

### Parameters

`table`

  TokyoTyrantTable object with active database connection

### Return Values

Returns a new TokyoTyrantQuery object and throws TokyoTyrantException on error

### Examples

Example #1 TokyoTyrantQuery::__construct() example

`<?php
$tt = new TokyoTyrantTable("localhost", 1979);
$query = new TokyoTyrantQuery($tt);
/* Work with $query */
?>`

### See Also

- TokyoTyrantTable::getQuery() - Get a query object

TokyoTyrantQuery::addCond
TokyoTyrantQuery::count
TokyoTyrantQuery
PHP Manual